#ifndef _hits_circle_h
#define _hits_circle_h

class Hits_Circle : public Circle
{
public:
	int create(unsigned int passed_size);
	int insert(struct logbits lb);
	int walk(struct logbits **lb);

	void updatestats(void) {}
	time_t oldest(void);

	long long getreqcount(void) { return reqcount; }
	long long getbytecount(void) { return bytecount; }
	long long getsummary(int r_c) { return rc_summary[r_c]; }

private:
	int resize(int newsize);

	long long reqcount, bytecount;
	long long rc_summary[6];

	#if 0
	struct circle_struct
	{
		unsigned int url_pos; /* maps to entry in urls */
		long long bytes;
		time_t time;

		unsigned int ip_pos; /* maps to entry in ip map */
		unsigned int ipl;

		unsigned int retcode;
	};
	#endif
	typedef struct logbits circle_struct;
	struct circle_struct *tab;
	int size; /* total size of circle table */
	int pos; /* where are we now? */

	int walkpos;
};

#endif
